<%- include('./include/header.ejs'); -%>

    <body class="hold-transition sidebar-mini slideBar" style="height: auto; width: auto;"></body>
    <%- include('./include/navBar.ejs'); -%>
    <%- include('./include/slideBar.ejs'); -%>
        <div class="content-wrapper ">
                <div class="container-fluid">
                    <form id="addProduct" enctype="multipart/form-data">
                        <!-- SELECT2 EXAMPLE -->
                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">Add product</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <!-- /.form-group -->
                                        <div class="form-group">
                                            <label>name</label>
                                            <input type="text" class="form-control" name="name" style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>description</label>
                                            <input type="text" class="form-control" name="description"
                                                style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>categoryId</label>
                                            <select class="form-control" aria-label="Default select example"
                                                name="categoryId" style="width: 100%;">
                                                <% listCategory.forEach((category)=> {%>
                                                    <option value="<%= category._id %>" class="text-dark">
                                                        <%= category.name %>
                                                    </option>
                                                    <% }); %>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>price</label>
                                            <input type="text" class="form-control" name="price" style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>sellPrice</label>
                                            <input type="text" class="form-control" name="sellPrice"
                                                style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>images</label>
                                            <input type="file" class="form-control" name="images" style="width: 100%;"
                                                multiple>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-2 btn-lg float-right">
                                    <button type="submit" class="btn btn-primary btn-block">Add product</button>
                                </div>
                                <!-- /.col -->
                            </div>
                            <!-- /.row -->
                        </div>
                    </form>
                </div>
                <div class="float-right ">
                    <a href="/admin/product/list/view">Back >>></a>
                </div>
        </div>
        <%- include('./include/footer.ejs'); -%>
            <script>
                $(document).ready(function () {
                    $('#addProduct').validate({
                        rules: {
                            name: {
                                required: true,
                            },
                            categoryId: {
                                required: true
                            },
                            price: {
                                required: true,
                            },
                            sellPrice: {
                                required: true,
                            },
                            images: {
                                required: true,
                            },
                        },
                        messages: {
                            name: {
                                required: "Please enter a last name",
                            },
                            sellPrice: {
                                required: "Please provide a price",
                            },
                            price: {
                                required: "Please provide a price",
                            },
                        },
                        errorElement: 'span',
                        errorPlacement: function (error, element) {
                            error.addClass('invalid-feedback');
                            element.closest('.form-group').append(error);
                        },
                        highlight: function (element, errorClass, validClass) {
                            $(element).addClass('is-invalid');
                        },
                        unhighlight: function (element, errorClass, validClass) {
                            $(element).removeClass('is-invalid');
                        }
                    })
                    $("#addProduct").on('submit', (function (e) {
                        e.preventDefault();
                        $.ajax({
                            url: "/admin/product/add",
                            type: "POST",
                            data: new FormData(this),
                            headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                            contentType: false,
                            cache: false,
                            processData: false,
                            success: function (data) {
                                if (data.responseCode == 200) {
                                    window.location.href = "/admin/product/list/view"
                                    toastr.success(data.responseMessage)
                                }
                                if (data.responseCode == 400) {
                                    toastr.error(data.responseMessage)
                                }
                            },
                            error: function (error) {
                                console.log(error)
                            }
                        });
                    }));
                })
            </script>
            </body>

            </html>